# Google Photos Ambient API

View photos from your Google Photos library on connected ambient devices.

- [REST Resource: v1.devices](https://developers.google.com/photos/ambient/reference/rest#v1.devices)
- [REST Resource: v1.mediaItems](https://developers.google.com/photos/ambient/reference/rest#v1.mediaItems)

## Service: photosambient.googleapis.com

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://photosambient.googleapis.com`

## REST Resource: [v1.devices](https://developers.google.com/photos/ambient/reference/rest/v1/devices)

| Methods ||
|---|---|
| `https://developers.google.com/photos/ambient/reference/rest/v1/devices/create` | `POST /v1/devices` Creates an ambient device in the user's Google Photos account. |
| `https://developers.google.com/photos/ambient/reference/rest/v1/devices/delete` | `DELETE /v1/devices/{deviceId}` Removes the specified device from to the user's Google Photos account. |
| `https://developers.google.com/photos/ambient/reference/rest/v1/devices/get` | `GET /v1/devices/{deviceId}` Retrieves information about the specified device. |
| `https://developers.google.com/photos/ambient/reference/rest/v1/devices/patch` | `PATCH /v1/devices/{deviceId}` Updates information about the specified device. |

## REST Resource: [v1.mediaItems](https://developers.google.com/photos/ambient/reference/rest/v1/mediaItems)

| Methods ||
|---|---|
| `https://developers.google.com/photos/ambient/reference/rest/v1/mediaItems/list` | `GET /v1/mediaItems` Returns a list of ambient media items from user-configured media sources for the specified device. |